Wordpress Themes - WP Forum at BFA
There will be no more development for Atahualpa (or any other theme), and no support. Also no new registrations. I turned off the donation system. I may turn the forum to read only if it gets abused for spam. Unfortunately I have no time for the forum or the themes. Thanks a lot to the people who helped in all these years, especially Larry and of course: Paul. Take care and stay healthy -- Flynn, Atahualpa developer, Sep 2021

Wordpress Themes - WP Forum at BFA » WordPress Themes » Atahualpa 3 Wordpress theme » New Versions, & Updating »

Compatibility with PHP 8.1


  #1  
Old Sep 19, 2022, 03:09 AM
extremecarver
 
120 posts · Jul 2009
Compatibility with PHP 8.1

To keep Atahualpa compatible with PHP 8.1 you should change the following:

in functions/bfa_ata_custom_comments.php to remove some notice level errors:
old: $comment = get_comment($comment_id);
Code:
$comment = get_comment($comment_id  ?? 0);
To remove warnings and in some cases a crash in functions.php
Remove the lines 858 to 863 - Internet Explorer 6 is long dead and there are some problems with this function. I don't think it would work anyhow so no reason in fixing it:
Code:
		if ($bfa_ata['pngfix_selectors'] != "" AND $isIE6 = TRUE) 
		{
			wp_register_script('ddroundies', $templateURI . '/js/DD_roundies.js', false, '0.0.2a' );
			wp_enqueue_script('ddroundies');
			add_action('wp_head', 'bfa_ddroundiesHead');
		}

As well as don't forget to remove line 107 (the closing ampersand) from js.php from version 3.7.26

I attach the 3 files below (cannot attach full version due to file size attachement restrictions):
Attached Files
File Type: zip atahualpa.zip (13.1 KB, 13 views)
__________________
Don't settle for lousy expensive Maps - Get free Maps based on Openstreetmap with great autorouting for cyclists, hikers and Mountainbikers at http://openmtbmap.org

Bookmarks

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Similar Threads
Thread Thread Starter Forum Replies Last Post
PHP 7 compatibility? bswb97 Installation/Upgrade Issues 7 Aug 5, 2019 08:08 AM
PHP 7 compatibility jlbo New Versions, & Updating 3 Nov 20, 2016 01:58 PM
datafeedr compatibility bigliettaio Plugins & Atahualpa 2 Oct 9, 2014 03:50 AM
Compatibility with Simplviewer rickpm Atahualpa 3 Wordpress theme 5 Jun 16, 2011 02:21 PM


All times are GMT -6. The time now is 05:06 PM.


Powered by vBulletin® Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.